<form (ngSubmit)="buscarPeli(userForm)" #userForm="ngForm">
  <div class="search-nav">
    <input type="search"
    placeholder="Search..."
    name="buscar"
    required
    ngModel
    >
    <!-- En este boton no pongo la funcion click porque ya el ngsubmit me hace esta función -->
    <button [disabled]="!userForm.valid" type="submit" name="enviar">Buscar</button>
  </div>
</form>